Bug 230326 - www/tomcat8: deprecate and remove port
Summary: www/tomcat8: deprecate and remove port
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Tobias Kortkamp
URL:
Keywords:
Depends on: 238430 238431 238541 238542
Blocks:
  Show dependency treegraph
 
Reported: 2018-08-03 12:56 UTC by Michael Osipov
Modified: 2019-07-06 09:51 UTC (History)
2 users (show)

See Also:
tobik: maintainer-feedback? (ale)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Osipov 2018-08-03 12:56:48 UTC
This Tomcat version does not receive any love anymore from the Tomcat devs. Deprecate and remove the port after some time from the collection.
Comment 1 Tobias Kortkamp freebsd_committer 2019-01-22 12:03:22 UTC
I guess www/tomcat8 was meant here?
Comment 2 Michael Osipov 2019-01-22 12:14:04 UTC
(In reply to Tobias Kortkamp from comment #1)

Correct, thanks!
Comment 3 Jung-uk Kim freebsd_committer 2019-06-04 21:51:54 UTC
It is officially deprecated.

https://tomcat.apache.org/tomcat-80-eol.html

Please deprecate it ASAP.
Comment 4 commit-hook freebsd_committer 2019-06-09 04:00:57 UTC
A commit references this bug:

Author: tobik
Date: Sun Jun  9 04:00:27 UTC 2019
New revision: 503777
URL: https://svnweb.freebsd.org/changeset/ports/503777

Log:
  Deprecate www/tomcat8

  It has been EoL since 2018-06-30.

  https://tomcat.apache.org/tomcat-80-eol.html

  PR:		230326
  Submitted by:	Michael Osipov <michael.osipov@siemens.com>
  Approved by:	ale (maintainer timeout, >4 months)

Changes:
  head/www/tomcat8/Makefile
Comment 5 Alex Dupre freebsd_committer 2019-06-13 05:25:04 UTC
Marked deprecated.
Comment 6 Tobias Kortkamp freebsd_committer 2019-06-13 09:11:52 UTC
(In reply to Alex Dupre from comment #5)
> Marked deprecated.

Please keep this open as a tracking bug.
Comment 7 commit-hook freebsd_committer 2019-06-13 09:30:05 UTC
A commit references this bug:

Author: tobik
Date: Thu Jun 13 09:30:02 UTC 2019
New revision: 504073
URL: https://svnweb.freebsd.org/changeset/ports/504073

Log:
  devel/opengrok: Remove TOMCAT8 option, enable TOMCAT85 by default

  www/tomcat8 is expiring on 2019-06-30 and has been EOL for ~1 year.

  - Remove superfluous TOMCAT85_DESC while here

  PR:		230326

Changes:
  head/devel/opengrok/Makefile
Comment 8 Tobias Kortkamp freebsd_committer 2019-07-06 09:51:27 UTC
Port removed.
Comment 9 commit-hook freebsd_committer 2019-07-06 09:51:42 UTC
A commit references this bug:

Author: tobik
Date: Sat Jul  6 09:51:12 UTC 2019
New revision: 505973
URL: https://svnweb.freebsd.org/changeset/ports/505973

Log:
  Remove expired port:
  2019-06-30 www/tomcat8: EoL since 2018-06-30

  PR:		230326

Changes:
  head/MOVED
  head/www/Makefile
  head/www/tomcat8/